Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network43.152.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
43.152.0.0
Broadcast address
43.155.255.255
First usable
43.152.0.1
Last usable
43.155.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 2B980000 · Integer 731381760 to 731643903
Reverse DNS zones
152.43.in-addr.arpa
153.43.in-addr.arpa
154.43.in-addr.arpa
155.43.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101011.10011000.00000000.0000000043.152.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00101011.10011000.00000000.0000000043.152.0.0
Broadcast00101011.10011011.11111111.1111111143.155.255.255
Split into smaller subnets/21

43.152.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
143.152.0.0/2143.152.0.1 to 43.152.7.25443.152.7.2552,046
243.152.8.0/2143.152.8.1 to 43.152.15.25443.152.15.2552,046
343.152.16.0/2143.152.16.1 to 43.152.23.25443.152.23.2552,046
443.152.24.0/2143.152.24.1 to 43.152.31.25443.152.31.2552,046
543.152.32.0/2143.152.32.1 to 43.152.39.25443.152.39.2552,046
643.152.40.0/2143.152.40.1 to 43.152.47.25443.152.47.2552,046
743.152.48.0/2143.152.48.1 to 43.152.55.25443.152.55.2552,046
843.152.56.0/2143.152.56.1 to 43.152.63.25443.152.63.2552,046
943.152.64.0/2143.152.64.1 to 43.152.71.25443.152.71.2552,046
1043.152.72.0/2143.152.72.1 to 43.152.79.25443.152.79.2552,046
1143.152.80.0/2143.152.80.1 to 43.152.87.25443.152.87.2552,046
1243.152.88.0/2143.152.88.1 to 43.152.95.25443.152.95.2552,046
1343.152.96.0/2143.152.96.1 to 43.152.103.25443.152.103.2552,046
1443.152.104.0/2143.152.104.1 to 43.152.111.25443.152.111.2552,046
1543.152.112.0/2143.152.112.1 to 43.152.119.25443.152.119.2552,046
1643.152.120.0/2143.152.120.1 to 43.152.127.25443.152.127.2552,046
1743.152.128.0/2143.152.128.1 to 43.152.135.25443.152.135.2552,046
1843.152.136.0/2143.152.136.1 to 43.152.143.25443.152.143.2552,046
1943.152.144.0/2143.152.144.1 to 43.152.151.25443.152.151.2552,046
2043.152.152.0/2143.152.152.1 to 43.152.159.25443.152.159.2552,046
2143.152.160.0/2143.152.160.1 to 43.152.167.25443.152.167.2552,046
2243.152.168.0/2143.152.168.1 to 43.152.175.25443.152.175.2552,046
2343.152.176.0/2143.152.176.1 to 43.152.183.25443.152.183.2552,046
2443.152.184.0/2143.152.184.1 to 43.152.191.25443.152.191.2552,046
2543.152.192.0/2143.152.192.1 to 43.152.199.25443.152.199.2552,046
2643.152.200.0/2143.152.200.1 to 43.152.207.25443.152.207.2552,046
2743.152.208.0/2143.152.208.1 to 43.152.215.25443.152.215.2552,046
2843.152.216.0/2143.152.216.1 to 43.152.223.25443.152.223.2552,046
2943.152.224.0/2143.152.224.1 to 43.152.231.25443.152.231.2552,046
3043.152.232.0/2143.152.232.1 to 43.152.239.25443.152.239.2552,046
3143.152.240.0/2143.152.240.1 to 43.152.247.25443.152.247.2552,046
3243.152.248.0/2143.152.248.1 to 43.152.255.25443.152.255.2552,046
3343.153.0.0/2143.153.0.1 to 43.153.7.25443.153.7.2552,046
3443.153.8.0/2143.153.8.1 to 43.153.15.25443.153.15.2552,046
3543.153.16.0/2143.153.16.1 to 43.153.23.25443.153.23.2552,046
3643.153.24.0/2143.153.24.1 to 43.153.31.25443.153.31.2552,046
3743.153.32.0/2143.153.32.1 to 43.153.39.25443.153.39.2552,046
3843.153.40.0/2143.153.40.1 to 43.153.47.25443.153.47.2552,046
3943.153.48.0/2143.153.48.1 to 43.153.55.25443.153.55.2552,046
4043.153.56.0/2143.153.56.1 to 43.153.63.25443.153.63.2552,046
4143.153.64.0/2143.153.64.1 to 43.153.71.25443.153.71.2552,046
4243.153.72.0/2143.153.72.1 to 43.153.79.25443.153.79.2552,046
4343.153.80.0/2143.153.80.1 to 43.153.87.25443.153.87.2552,046
4443.153.88.0/2143.153.88.1 to 43.153.95.25443.153.95.2552,046
4543.153.96.0/2143.153.96.1 to 43.153.103.25443.153.103.2552,046
4643.153.104.0/2143.153.104.1 to 43.153.111.25443.153.111.2552,046
4743.153.112.0/2143.153.112.1 to 43.153.119.25443.153.119.2552,046
4843.153.120.0/2143.153.120.1 to 43.153.127.25443.153.127.2552,046
4943.153.128.0/2143.153.128.1 to 43.153.135.25443.153.135.2552,046
5043.153.136.0/2143.153.136.1 to 43.153.143.25443.153.143.2552,046
5143.153.144.0/2143.153.144.1 to 43.153.151.25443.153.151.2552,046
5243.153.152.0/2143.153.152.1 to 43.153.159.25443.153.159.2552,046
5343.153.160.0/2143.153.160.1 to 43.153.167.25443.153.167.2552,046
5443.153.168.0/2143.153.168.1 to 43.153.175.25443.153.175.2552,046
5543.153.176.0/2143.153.176.1 to 43.153.183.25443.153.183.2552,046
5643.153.184.0/2143.153.184.1 to 43.153.191.25443.153.191.2552,046
5743.153.192.0/2143.153.192.1 to 43.153.199.25443.153.199.2552,046
5843.153.200.0/2143.153.200.1 to 43.153.207.25443.153.207.2552,046
5943.153.208.0/2143.153.208.1 to 43.153.215.25443.153.215.2552,046
6043.153.216.0/2143.153.216.1 to 43.153.223.25443.153.223.2552,046
6143.153.224.0/2143.153.224.1 to 43.153.231.25443.153.231.2552,046
6243.153.232.0/2143.153.232.1 to 43.153.239.25443.153.239.2552,046
6343.153.240.0/2143.153.240.1 to 43.153.247.25443.153.247.2552,046
6443.153.248.0/2143.153.248.1 to 43.153.255.25443.153.255.2552,046
6543.154.0.0/2143.154.0.1 to 43.154.7.25443.154.7.2552,046
6643.154.8.0/2143.154.8.1 to 43.154.15.25443.154.15.2552,046
6743.154.16.0/2143.154.16.1 to 43.154.23.25443.154.23.2552,046
6843.154.24.0/2143.154.24.1 to 43.154.31.25443.154.31.2552,046
6943.154.32.0/2143.154.32.1 to 43.154.39.25443.154.39.2552,046
7043.154.40.0/2143.154.40.1 to 43.154.47.25443.154.47.2552,046
7143.154.48.0/2143.154.48.1 to 43.154.55.25443.154.55.2552,046
7243.154.56.0/2143.154.56.1 to 43.154.63.25443.154.63.2552,046
7343.154.64.0/2143.154.64.1 to 43.154.71.25443.154.71.2552,046
7443.154.72.0/2143.154.72.1 to 43.154.79.25443.154.79.2552,046
7543.154.80.0/2143.154.80.1 to 43.154.87.25443.154.87.2552,046
7643.154.88.0/2143.154.88.1 to 43.154.95.25443.154.95.2552,046
7743.154.96.0/2143.154.96.1 to 43.154.103.25443.154.103.2552,046
7843.154.104.0/2143.154.104.1 to 43.154.111.25443.154.111.2552,046
7943.154.112.0/2143.154.112.1 to 43.154.119.25443.154.119.2552,046
8043.154.120.0/2143.154.120.1 to 43.154.127.25443.154.127.2552,046
8143.154.128.0/2143.154.128.1 to 43.154.135.25443.154.135.2552,046
8243.154.136.0/2143.154.136.1 to 43.154.143.25443.154.143.2552,046
8343.154.144.0/2143.154.144.1 to 43.154.151.25443.154.151.2552,046
8443.154.152.0/2143.154.152.1 to 43.154.159.25443.154.159.2552,046
8543.154.160.0/2143.154.160.1 to 43.154.167.25443.154.167.2552,046
8643.154.168.0/2143.154.168.1 to 43.154.175.25443.154.175.2552,046
8743.154.176.0/2143.154.176.1 to 43.154.183.25443.154.183.2552,046
8843.154.184.0/2143.154.184.1 to 43.154.191.25443.154.191.2552,046
8943.154.192.0/2143.154.192.1 to 43.154.199.25443.154.199.2552,046
9043.154.200.0/2143.154.200.1 to 43.154.207.25443.154.207.2552,046
9143.154.208.0/2143.154.208.1 to 43.154.215.25443.154.215.2552,046
9243.154.216.0/2143.154.216.1 to 43.154.223.25443.154.223.2552,046
9343.154.224.0/2143.154.224.1 to 43.154.231.25443.154.231.2552,046
9443.154.232.0/2143.154.232.1 to 43.154.239.25443.154.239.2552,046
9543.154.240.0/2143.154.240.1 to 43.154.247.25443.154.247.2552,046
9643.154.248.0/2143.154.248.1 to 43.154.255.25443.154.255.2552,046
9743.155.0.0/2143.155.0.1 to 43.155.7.25443.155.7.2552,046
9843.155.8.0/2143.155.8.1 to 43.155.15.25443.155.15.2552,046
9943.155.16.0/2143.155.16.1 to 43.155.23.25443.155.23.2552,046
10043.155.24.0/2143.155.24.1 to 43.155.31.25443.155.31.2552,046
10143.155.32.0/2143.155.32.1 to 43.155.39.25443.155.39.2552,046
10243.155.40.0/2143.155.40.1 to 43.155.47.25443.155.47.2552,046
10343.155.48.0/2143.155.48.1 to 43.155.55.25443.155.55.2552,046
10443.155.56.0/2143.155.56.1 to 43.155.63.25443.155.63.2552,046
10543.155.64.0/2143.155.64.1 to 43.155.71.25443.155.71.2552,046
10643.155.72.0/2143.155.72.1 to 43.155.79.25443.155.79.2552,046
10743.155.80.0/2143.155.80.1 to 43.155.87.25443.155.87.2552,046
10843.155.88.0/2143.155.88.1 to 43.155.95.25443.155.95.2552,046
10943.155.96.0/2143.155.96.1 to 43.155.103.25443.155.103.2552,046
11043.155.104.0/2143.155.104.1 to 43.155.111.25443.155.111.2552,046
11143.155.112.0/2143.155.112.1 to 43.155.119.25443.155.119.2552,046
11243.155.120.0/2143.155.120.1 to 43.155.127.25443.155.127.2552,046
11343.155.128.0/2143.155.128.1 to 43.155.135.25443.155.135.2552,046
11443.155.136.0/2143.155.136.1 to 43.155.143.25443.155.143.2552,046
11543.155.144.0/2143.155.144.1 to 43.155.151.25443.155.151.2552,046
11643.155.152.0/2143.155.152.1 to 43.155.159.25443.155.159.2552,046
11743.155.160.0/2143.155.160.1 to 43.155.167.25443.155.167.2552,046
11843.155.168.0/2143.155.168.1 to 43.155.175.25443.155.175.2552,046
11943.155.176.0/2143.155.176.1 to 43.155.183.25443.155.183.2552,046
12043.155.184.0/2143.155.184.1 to 43.155.191.25443.155.191.2552,046
12143.155.192.0/2143.155.192.1 to 43.155.199.25443.155.199.2552,046
12243.155.200.0/2143.155.200.1 to 43.155.207.25443.155.207.2552,046
12343.155.208.0/2143.155.208.1 to 43.155.215.25443.155.215.2552,046
12443.155.216.0/2143.155.216.1 to 43.155.223.25443.155.223.2552,046
12543.155.224.0/2143.155.224.1 to 43.155.231.25443.155.231.2552,046
12643.155.232.0/2143.155.232.1 to 43.155.239.25443.155.239.2552,046
12743.155.240.0/2143.155.240.1 to 43.155.247.25443.155.247.2552,046
12843.155.248.0/2143.155.248.1 to 43.155.255.25443.155.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses